summaryrefslogtreecommitdiffstats
path: root/debian/tests
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests')
-rw-r--r--debian/tests/control3
-rwxr-xr-xdebian/tests/proxy-works17
2 files changed, 20 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..d16eec9
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: proxy-works
+Depends: nginx, @
+Restrictions: isolation-container
diff --git a/debian/tests/proxy-works b/debian/tests/proxy-works
new file mode 100755
index 0000000..1e03100
--- /dev/null
+++ b/debian/tests/proxy-works
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+# Nghttpx should proxy the port 80 by default.
+
+exec 2>&1
+set -eux
+
+PROXY=http://localhost:3000
+
+# Verify that we can connect
+nghttp ${PROXY} > /dev/null
+
+# Extract HTTP error code
+STATUS=$(nghttp ${PROXY} -v | grep -Po '(?<=:status: )(\d+)')
+
+# Verify it's OK (200).
+echo ${STATUS} | grep 200